aboutsummaryrefslogtreecommitdiffstats
path: root/k6-tests/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'k6-tests/setup.sh')
-rwxr-xr-xk6-tests/setup.sh19
1 files changed, 16 insertions, 3 deletions
diff --git a/k6-tests/setup.sh b/k6-tests/setup.sh
index 4805e2ea43..a4508e180d 100755
--- a/k6-tests/setup.sh
+++ b/k6-tests/setup.sh
@@ -15,8 +15,21 @@
# limitations under the License.
#
-docker-compose -f ../docker-compose/docker-compose.yml --profile dmi-stub up -d
+docker-compose -f ../docker-compose/docker-compose.yml --profile dmi-stub up --quiet-pull -d
echo "Waiting for CPS to start..."
-READY_MESSAGE='Processing module sync fetched 0 advised cm handles from DB'
-docker logs cps-and-ncmp -f | grep -m 1 "$READY_MESSAGE" >/dev/null || true
+READY_MESSAGE="Inventory Model updated successfully"
+
+# Get the container IDs of the cps-and-ncmp replicas
+CONTAINER_IDS=$(docker ps --filter "name=cps-and-ncmp" --format "{{.ID}}")
+
+# Check the logs for each container
+for CONTAINER_ID in $CONTAINER_IDS; do
+ echo "Checking logs for container: $CONTAINER_ID"
+ docker logs "$CONTAINER_ID" -f | grep -m 1 "$READY_MESSAGE" >/dev/null && echo "CPS is ready in container: $CONTAINER_ID" || true
+done
+
+# Output build information including git commit info
+echo "Build information:"
+curl http://localhost:8883/actuator/info
+echo